#! /usr/bin/env python3

from PyQt4.QtCore import *
from PyQt4.QtGui import *

class MainWindow(QWidget) :
	
	def __init__(self) :
		
		QWidget.__init__(self)
		
		self.setObjectName("mainWindow")
		self.setWindowTitle("UniView")
		
		self.inputLabel = QLabel("&Input text")
		self.inputTextBox = QPlainTextEdit()
		self.inputLabel.setBuddy(self.inputTextBox)
		
		self.renderButton = QPushButton("&Render")
		
		self.inputLayout = QHBoxLayout()
		self.inputLayout.addWidget(self.inputLabel)
		self.inputLayout.addWidget(self.inputTextBox)
		
		self.layout = QVBoxLayout()
		self.layout.addLayout(self.inputLayout)
		self.layout.addWidget(self.renderButton)
		self.setLayout(self.layout)
		
		QObject.connect ( self.renderButton, SIGNAL("clicked()"), self.renderText )
		
	def renderText(self) :
		
		t = self.inputTextBox.toPlainText()
		print(len(t))
		print(repr(t))

app = QApplication([])
mainWindow = MainWindow()
mainWindow.show()
app.exec_()
